package NisumWebTest.PageObject;

import org.openqa.selenium.WebDriver;
import org.openqa.selenium.WebElement;
import org.openqa.selenium.interactions.Actions;
import org.openqa.selenium.support.FindBy;
import org.openqa.selenium.support.PageFactory;
import org.openqa.selenium.support.ui.ExpectedCondition;
import org.openqa.selenium.support.ui.ExpectedConditions;
import org.openqa.selenium.support.ui.WebDriverWait;

import javax.swing.*;
import java.time.Duration;

public class NisumPage
{
    WebDriver obj;
    WebDriverWait wait;
    public NisumPage(WebDriver obj)
    {
        this.obj=obj;
        PageFactory.initElements(obj,this);

        wait = new WebDriverWait(obj, Duration.ofSeconds(8));
    }

    @FindBy(xpath = "//div[@class='hhs-header-menu custom-menu-primary js-enabled']//*[text()='Global Careers']")
    WebElement CareerDropDown;

    @FindBy(xpath = "(//div[@class='hhs-header-menu custom-menu-primary js-enabled']//*[@href='https://www.nisum.com/careers/careers-pakistan'])[1]")
    WebElement PakistanCareer;


    @FindBy(xpath = "//div[@class='hhs-rich-text wow fadeIn']//h1")
    WebElement HiringHeading;



    //---------------------------------------> Action Flow.




    public void RunFlow()
    {
        Actions mouse =  new Actions(obj);
        mouse.moveToElement(CareerDropDown).build().perform();
        PakistanCareer.click();
    }

    public String PassText()
    {
        wait.until(ExpectedConditions.visibilityOf(HiringHeading));
        return HiringHeading.getText();
    }



}
